using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace MaskedTextBox__DataBinding
{
    public class DataClass : INotifyPropertyChanged
    {
        private int num;
        public int Num
        {
            get
            {
                return num;
            }
            set
            {
                if (this.num != value)
                {
                    this.num = value;
                    this.OnPropertyChanged("Num");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

    }
}
